summaryrefslogtreecommitdiff
path: root/tests/setup-stress-dependencies.sh
diff options
context:
space:
mode:
authorSergey Andreenko <seandree@microsoft.com>2019-06-14 18:19:13 -0700
committerGitHub <noreply@github.com>2019-06-14 18:19:13 -0700
commit14a981fd1d92f261870d64435ed50e599747a323 (patch)
tree33b86a7bb54af961cc771c1e0312c62863cbe13a /tests/setup-stress-dependencies.sh
parent3eb98b0c307548cae8825551ac5e12afa8161122 (diff)
downloadcoreclr-14a981fd1d92f261870d64435ed50e599747a323.tar.gz
coreclr-14a981fd1d92f261870d64435ed50e599747a323.tar.bz2
coreclr-14a981fd1d92f261870d64435ed50e599747a323.zip
abort build-tests if failed to restore stress dependencies (#25140)
* abort build-tests if failed to restore stress dependencies * Fix arm condition. * Add arm64 condition. * Skip runtime dependencies for arm32/arm64.
Diffstat (limited to 'tests/setup-stress-dependencies.sh')
-rwxr-xr-xtests/setup-stress-dependencies.sh19
1 files changed, 17 insertions, 2 deletions
diff --git a/tests/setup-stress-dependencies.sh b/tests/setup-stress-dependencies.sh
index 65fb5637b3..a6465a94f6 100755
--- a/tests/setup-stress-dependencies.sh
+++ b/tests/setup-stress-dependencies.sh
@@ -16,9 +16,10 @@ function print_usage {
echo ''
echo 'Command line:'
echo ''
- echo './setup-gcstress.sh --outputDir=<coredistools_lib_install_path>'
+ echo './setup-gcstress.sh --arch=<TargetArch> --outputDir=<coredistools_lib_install_path>'
echo ''
echo 'Required arguments:'
+ echo ' --arch=<TargetArch> : Target arch for the build'
echo ' --outputDir=<path> : Directory to install libcoredistools.so'
echo ''
}
@@ -55,6 +56,9 @@ do
-v|--verbose)
verbose=1
;;
+ --arch=*)
+ __BuildArch=${i#*=}
+ ;;
--outputDir=*)
libInstallDir=${i#*=}
;;
@@ -66,12 +70,23 @@ do
esac
done
+if [ -z "$__BuildArch" ]; then
+ echo "--arch is required."
+ print_usage
+ exit_with_error 1
+fi
+
if [ -z "$libInstallDir" ]; then
- echo "--libInstallDir is required."
+ echo "--outputDir is required."
print_usage
exit_with_error 1
fi
+if [ "$__BuildArch" == "arm64" ] || [ "$__BuildArch" == "arm" ]; then
+ echo "No runtime dependencies for arm32/arm64"
+ exit $EXIT_CODE_SUCCESS
+fi
+
# This script must be located in coreclr/tests.
scriptDir="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"